List Bots
curl --request GET \
--url https://api.openmic.ai/v1/bots \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openmic.ai/v1/bots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openmic.ai/v1/bots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bots": [
{
"id": "<string>",
"name": "<string>",
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"first_message": "<string>",
"knowledge_base_id": 123,
"voice": "<string>",
"voice_model": "<string>",
"voice_speed": 123,
"llm_model_name": "<string>",
"llm_model_temperature": 123,
"stt_provider": "Deepgram",
"stt_model": "<string>",
"call_settings": {
"max_call_duration": 16,
"silence_timeout": 25,
"silence_timeout_max_retries": 3,
"silence_timeout_message": "<string>",
"call_recording_enabled": true,
"voicemail_detection_enabled": true,
"voicemail_message": "<string>",
"hipaa_compliance_enabled": true,
"pci_compliance_enabled": true
},
"advanced_settings": {
"humanize_conversation": true,
"background_noise_reduction": true,
"allow_interruptions": true,
"min_interruption_duration": 2.6,
"background_sound": "<string>",
"short_pause": 1.1,
"long_pause": 3.25,
"filter_phrases": "<string>"
},
"post_call_settings": {
"summary_prompt": "<string>",
"success_evaluation_prompt": "<string>",
"structured_extraction_prompt": "<string>",
"structured_extraction_json_schema": {}
}
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"has_more": true
}
}{
"error": "Invalid query parameters provided."
}{
"error": "Unauthorized",
"message": "Invalid or expired API key"
}{
"error": "An unexpected error occurred. Please try again later."
}Bots
List Bots
Retrieve all bots with optional filtering and pagination.
GET
/
v1
/
bots
List Bots
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Query Parameters
Maximum number of bots to return (1-100)
Required range:
1 <= x <= 100Number of bots to skip
Required range:
x >= 0Filter by bot name (partial match)
Filter bots created after this date (ISO 8601 format)
Filter bots created before this date (ISO 8601 format)
Was this page helpful?
⌘I